#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:source_path, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
   

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         source_path => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:source_path']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SourcePath')
end
