#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:wrapdatatypes, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    Should weblogic wrap data types.

  EOD

  defaultto '1'

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/WrapTypes')

end
