#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:root_file_system, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The full path to the root of this file subsystem of the partition. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         root_file_system => 'a_value'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SystemFileSystem/%{domain_partition_name}/Root')
end
