#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_rotate_logon_startup, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  log rotate Logon at startup of a domain or server.
  EOD

  maps_to([
    'Log/%{server_name}/RotateLogOnStartup',
    'WebServer/%{server_name}/WebServerLog/%{server_name}/RotateLogOnStartup',
    'DataSource/%{server_name}/DataSourceLogFile/%{server_name}/RotateLogOnStartup'
  ])

end