#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:sslhostnameverificationignored, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    The ssl hostname verification ignored enabled on the server

  EOD

  maps_to 'SSL/%{server_name}/HostnameVerificationIgnored'

end
