
#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

#
#
# Define some common data types
#
module Puppet_X
  module EnterpriseModules
    module WebLogic
      module Types
        module NumberedBoolean
          def self.included(parent)
            parent.send(:include, EasyType::Mungers::Integer)
            parent.extend(ClassMethods)
            parent.newvalues('absent', 1, 0)
          end

          module ClassMethods
            def coerce(value)
            Puppet::Pops::Utils.to_n(value)
            end
          end
        end
      end
    end
  end
end
