#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:resource_group_template, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The resource group template referenced by this resource group. 

  An example on how to use this:

      wls_domain_partition_resource_group {a_wls_domain_partition_resource_group :
         ...
         resource_group_template => 'a_value'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ResourceGroupTemplate')
end
