#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:seconds_between_restarts, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-EOD
  The amount of milliseconds to wait between attempts to migrate this migratable target

  EOD

  defaultto 300000

  maps_to('SecondsBetweenRestarts')
end
